using System;

namespace Decal.Adapter;

public class DirectoryResolveEventArgs : EventArgs
{
	private string myPath;

	private object myResult;

	public string Path => myPath;

	public object Result
	{
		get
		{
			return myResult;
		}
		set
		{
			myResult = value;
		}
	}

	internal DirectoryResolveEventArgs(string path)
	{
		myPath = path;
	}
}
